> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Action Stop Charging

> Create a `STOP_CHARGING` command execution.

**Parameters:**
- `vehicle_id`: The unique identifier (ID) of the vehicle to execute the command.

**Returns:**
- A response containing detailed information about the vehicle command execution.


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- COMMAND_ALREADY_IN_PROGRESS
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR

Create a `STOP_CHARGING` command execution.

**Parameters:**
- `vehicle_id`: The unique identifier (ID) of the vehicle to execute the command.

**Returns:**
- A response containing detailed information about the vehicle command execution.



## OpenAPI

````yaml post /v1/vehicles/{vehicle_id}/command-execution:stop-charging
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/{vehicle_id}/command-execution:stop-charging:
    post:
      tags:
        - Vehicle Command Executions
      summary: Action Stop Charging
      description: >-
        Create a `STOP_CHARGING` command execution.


        **Parameters:**

        - `vehicle_id`: The unique identifier (ID) of the vehicle to execute the
        command.


        **Returns:**

        - A response containing detailed information about the vehicle command
        execution.



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - COMMAND_ALREADY_IN_PROGRESS

        - REQUEST_VALIDATION_ERROR

        - RESOURCE_NOT_FOUND

        - SERVER_ERROR


        Create a `STOP_CHARGING` command execution.


        **Parameters:**

        - `vehicle_id`: The unique identifier (ID) of the vehicle to execute the
        command.


        **Returns:**

        - A response containing detailed information about the vehicle command
        execution.
      operationId: >-
        action_stop_charging_v1_vehicles__vehicle_id__command_execution_stop_charging_post
      parameters:
        - name: vehicle_id
          in: path
          required: true
          schema:
            type: string
            title: Vehicle ID
            description: Unique internal identifier for the vehicle.
          description: Unique internal identifier for the vehicle.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleCommandExecution'
      security:
        - OAuth2ClientCredentialsBearer:
            - vehicle:commands
components:
  schemas:
    VehicleCommandExecution:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        commandArguments:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Commandarguments
        timeout:
          anyOf:
            - type: integer
            - type: 'null'
          title: Timeout
        executedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Executedat
        status:
          anyOf:
            - $ref: '#/components/schemas/OEMDeviceCommandExecutionStatus'
            - type: 'null'
        failedReason:
          anyOf:
            - type: string
            - type: 'null'
          enum:
            - OEM_UNKNOWN_ERROR
            - OEM_TIMEOUT
            - OEM_UNAVAILABLE
            - OEM_NETWORK_ERROR
            - OEM_INCORRECT_REGION
            - OEM_APP_REQUIRED_UPDATE
            - OEM_USER_ACCOUNT_LOCKED
            - OEM_OAUTH_TOKEN_EXPIRED
            - OEM_VEHICLE_OFFLINE
            - OEM_VEHICLE_REMOTE_ACCESS_DISABLED
            - OEM_VEHICLE_LOCATION_SHARING_DISABLED
            - OEM_AUTH_DRIVER_IS_NOT_PRIMARY_USER
            - OEM_DEVICE_NOT_FOUND
            - OEM_COMMAND_TIMEOUT
            - OEM_COMMAND_FAILED
            - OEM_RATE_LIMITED
            - OEM_ACCOUNT_RATE_LIMITED
            - OEM_DEVICE_RATE_LIMITED
            - OEM_STOP_CHARGE_RATE_LIMITED
            - OEM_COMMANDS_RATE_LIMITED
            - OEM_VEHICLE_LOCATION_UNKNOWN
            - OEM_VEHICLE_NOT_IN_AUTHORIZED_LOCATION
            - OEM_VEHICLE_CHARGING_NOT_FINISHED
            - OEM_VEHICLE_CHARGING_NOT_STOPPED
            - OEM_VEHICLE_CHARGING_NOT_STARTED
            - OEM_VEHICLE_CHARGING_NOT_PAUSED
            - OEM_VEHICLE_CHARGING_REFUSED_PLAY_PROTECTION
            - OEM_COMMAND_REFUSED_OTHER_SERVICE_RUNNING
            - OEM_COMMAND_REFUSED_VEHICLE_AWAKE_IN_STAND_STILL_AND_RESTING_STATE
            - OEM_COMMAND_REFUSED_VEHICLE_AWAKE_IN_STAND_STILL_AND_ACTIVE_STATE
            - OEM_COMMAND_REFUSED_VEHICLE_AWAKE_IN_DRIVING_OR_READY_TO_DRIVE
            - OEM_COMMAND_REFUSED_VEHICLE_AWAKE_IN_DIAGNOSTICS_MODE
            - SERVER_ERROR
            - INTERNAL_RATE_LIMITED
            - AUTHENTICATION_ERROR
            - NOT_PERMITTED
          title: Failedreason
          description: >-
            The reason the command failed to execute. Should be one of the codes
            listed in the enum, but may in some cases be a plain string.
        vehicleId:
          type: string
          title: Vehicleid
        command:
          $ref: '#/components/schemas/VehicleCommandEnum'
      type: object
      required:
        - vehicleId
        - command
      title: VehicleCommandExecution
    OEMDeviceCommandExecutionStatus:
      type: string
      enum:
        - PENDING
        - EXECUTED
        - FAILED
      title: OEMDeviceCommandExecutionStatus
      description: Enum for command execution status.
    VehicleCommandEnum:
      type: string
      enum:
        - WAKE_UP
        - UNLOCK_DOORS
        - LOCK_DOORS
        - HONK_HORN
        - FLASH_LIGHTS
        - START_HVAC_SYSTEM
        - CLIMATE_ON
        - CLIMATE_OFF
        - SET_TEMPERATURE
        - SET_CHARGE_LIMIT
        - ACTUATE_FRONT_TRUNK
        - ACTUATE_REAR_TRUNK
        - OPEN_CHARGE_PORT
        - CLOSE_CHARGE_PORT
        - START_CHARGING
        - STOP_CHARGING
        - SET_VEHICLE_NAME
        - SCHEDULE_SOFTWARE_UPDATE
        - CANCEL_SOFTWARE_UPDATE
        - WINDOW_HEATING_ON
        - WINDOW_HEATING_OFF
      title: VehicleCommandEnum
      description: Enum for available commands.
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````